import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderSelectObjectSchema as CloudFolderSelectObjectSchema } from './CloudFolderSelect.schema';
import { CloudFolderIncludeObjectSchema as CloudFolderIncludeObjectSchema } from './CloudFolderInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => CloudFolderSelectObjectSchema).optional(),
  include: z.lazy(() => CloudFolderIncludeObjectSchema).optional()
}).strict();
export const CloudFolderArgsObjectSchema = makeSchema();
export const CloudFolderArgsObjectZodSchema = makeSchema();
